#!/usr/bin/env fish

echo "Type '[E]' for English, or any other input for otherwise";

for FILE in (ls);
  if test "$FILE" = "dox_is_english_labeler.fish";
    continue;
  end;

  if test -d $FILE;
    continue;
  end;

  if test -f english/$FILE; or test -f non_english/$FILE;
    echo "$FILE is already classified";
    rm $FILE;
    continue;
  end;


  cat $FILE;
  read -l IS_ENGLISH;
  if test "$IS_ENGLISH" = "y";
    mv $FILE english/$FILE;
  else;
    mv $FILE non_english/$FILE;
  end;
end;
